.sidebar {
  position: fixed;
  display: flex;
  flex-direction: column;
  top: 0;
  left: 0;
  background: #ffffff !important;
  color: rgba(0, 0, 0, 0.87);
  border: 0 none;
  box-shadow: 0 11px 15px -7px rgb(0 0 0 / 20%), 0 24px 38px 3px rgb(0 0 0 / 14%), 0 9px 46px 8px rgb(0 0 0 / 12%);
  width: 20rem;
  height: 100%;
  z-index: 20;

  &-header {
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &-content {
    padding: 1rem;
  }

  &-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.32);
    transition-duration: 0.2s;
    z-index: 9;
  }
}